Bug 99847 - "ENTER" from last page-row of a 3-column table -> cursor halfway down next page
Summary: "ENTER" from last page-row of a 3-column table -> cursor halfway down next page
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2016-05-14 22:32 UTC by scott092707
Modified: 2019-06-08 03:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Document with bug - go to page 48, third column, and ENTER past end of page. (163.74 KB, application/vnd.oasis.opendocument.text)
2016-05-14 22:32 UTC, scott092707
Details
Screenshot with the letter "a" and ENTER pressed until the end of page in the third column (273.59 KB, image/png)
2016-05-14 22:35 UTC, scott092707
Details
Screenshot after "a" pressed at first possible location on next page (273.89 KB, image/png)
2016-05-14 22:39 UTC, scott092707
Details
Terminal output running LO 6.2.4 (43.06 KB, text/plain)
2019-06-08 03:09 UTC, scott092707
Details
Terminal output running LO 6.3.0.0.alpha1_2019-05-31 (22.21 KB, text/plain)
2019-06-08 03:12 UTC, scott092707
Details

Note You need to log in before you can comment on or make changes to this bug.
Description scott092707 2016-05-14 22:32:35 UTC
Created attachment 125052 [details]
Document with bug - go to page 48, third column, and ENTER past end of page.

I have been working on a project to translate a (relatively small) book from German into English.

Currently, I have created a document that has a three-column table.

The first column has the German text, OCR'd from .png files of scanned pages.
As I work, I copy the German text into a browser window that has Google Translate loaded, and have it translate.
I then copy the translation into both the second and third columns for that page.
I leave the second column of the page alone, and correct the translation in the third column.
(The second column is used in case of accidental erasure, or I later decide that some of Google's translation 
was better than I originally thought, or ... )

When I finish with a page, I then press the ENTER key after the text in each of the second and third columns
until the cursor is now at the top of that column on the next page, and repeat the above procedure for the new page.

However, having finished page 47, I translated the text for page 48, and found I had a problem.
I was able to ENTER down in the second column to the top of the next page, and copy the translation there, but when I attempted to do the same with the third column, I was unable to do so:

Repeatedly pressing ENTER in the third column first caused the text to vertically adjust up and down a bit, which was unexpected;
but when I ENTER'd from the last row in the column, the cursor did not go to the top of the next page, but to a position about halfway down the page, and nothing I could do would make it go to the top of the page.

This is obviously a bug.

Since the next version of Lubuntu was coming up, with a new version of LibreOffice, I decided to wait until I installed Lubuntu 16.04 before continuing, hoping that the new version of LibreOffice would no longer have the bug.
It did have the bug, however...

[I attempted to make a new document and copy everything to it, hoping to leave the bug behind, but encountered another bug.  
First, when I attempted to Select All, only one column of the table was selected - (is this a bug or a Feature?).
Well... no problem, there are only three columns - I'll just do one at a time...

Hmmm...  I just tried it now, and it worked fine.  Perhaps when I tried it, it was the previous version, and the bug was fixed in the new version...
But when I tried it before, by the time I tried to copy to the third column, the "Page xxx of yyy" display kept changing
the xxx/yyy up and down, never reaching the end, never finishing.]


I was only able to continue my work by making a copy of the work, and renaming the two pieces to _1 and _2, and deleting
the end for _1, and the beginning for _2.

Anyway, the initial bug still remains, and as I am only about 1/3 through the document, I strongly suspect I will encounter it again.

I enclose the document so that you can see what I am talking about, and make a start at fixing the bug.
I also enclose two screenshots.  One shows the page/column after I approach the bottom of the page, repeatedly entering the letter "a" followed by ENTER.
The second screenshot shows the first "a" after reaching the new page.

----------------------------------------------------
scott@scott-Asus-M2N68-AM-Plus:~$ uname -a
Linux scott-Asus-M2N68-AM-Plus 4.4.0-22-generic #39-Ubuntu SMP Thu May 5 16:52:40 UTC 2016 i686 athlon i686 GNU/Linux
scott@scott-Asus-M2N68-AM-Plus:~$ lsb_release -dsc
Ubuntu 16.04 LTS
xenial
scott@scott-Asus-M2N68-AM-Plus:~$ echo $DESKTOP_SESSION
Lubuntu

scott@scott-Asus-M2N68-AM-Plus:~$  /usr/bin/lowriter  --version
LibreOffice 5.1.2.2 10m0(Build:2)

[from -->Help]
LibreOffice

Version: 5.1.2.2
Build ID: 1:5.1.2-0ubuntu1
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
Locale: en-US (en_US.UTF-8)
Comment 1 scott092707 2016-05-14 22:35:42 UTC
Created attachment 125053 [details]
Screenshot with the letter "a" and ENTER pressed until the end of page in the third column
Comment 2 scott092707 2016-05-14 22:39:01 UTC
Created attachment 125054 [details]
Screenshot after "a" pressed at first possible location on next page
Comment 3 scott092707 2016-05-14 22:44:02 UTC
Version of LibreOffice Writer shown in main text is that available in Lubuntu 16.04.
Bug was present in Lubuntu 15.10, but I am unable to boot that, and do not
know what exact version was most recently provided for that Lubuntu version.]
Comment 4 Buovjaga 2016-05-17 10:52:54 UTC
(In reply to scott092707 from comment #0)
> However, having finished page 47, I translated the text for page 48, and
> found I had a problem.
> I was able to ENTER down in the second column to the top of the next page,
> and copy the translation there, but when I attempted to do the same with the
> third column, I was unable to do so:
> 
> Repeatedly pressing ENTER in the third column first caused the text to
> vertically adjust up and down a bit, which was unexpected;
> but when I ENTER'd from the last row in the column, the cursor did not go to
> the top of the next page, but to a position about halfway down the page, and
> nothing I could do would make it go to the top of the page.

Repro.

This seems like a somewhat brittle way to layout, though, so you might look into some alternative.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha1+
Build ID: 3d27afd26f7b85c46a7c7d08498000b9dbcea1c8
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-05-09_02:42:15
Locale: fi-FI (fi_FI)
Comment 5 scott092707 2016-05-20 04:39:09 UTC
@Buovjaga

>Repro.
I guess this means you were able to Repro.duce the bug...


>This seems like a somewhat brittle way to layout, though,
>so you might look into some alternative.
Suggestion(s)?
Comment 6 Buovjaga 2016-05-20 05:39:19 UTC
(In reply to scott092707 from comment #5)
> >This seems like a somewhat brittle way to layout, though,
> >so you might look into some alternative.
> Suggestion(s)?

Maybe this book will give you ideas: http://designingwithlibreoffice.com/
It is free to download, if you want.
Comment 7 QA Administrators 2017-05-22 13:39:24 UTC Comment hidden (obsolete)
Comment 8 scott092707 2017-05-23 02:31:26 UTC
As of the latest Lubuntu:

scott@scott-ASUS-M2N68-AMPLUS:~$ uname -a
Linux scott-ASUS-M2N68-AMPLUS 4.10.0-20-generic #22-Ubuntu SMP Thu Apr 20 09:22:42 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
scott@scott-ASUS-M2N68-AMPLUS:~$ lsb_release -dsc
Ubuntu 17.04
zesty
scott@scott-ASUS-M2N68-AMPLUS:~$ echo $DESKTOP_SESSION
Lubuntu


and the latest LOWriter available in my repositories:

Version: 5.3.1.2
Build ID: 1:5.3.1-0ubuntu2
CPU Threads: 2; OS Version: Linux 4.10; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group

the bug is still just as reported:

Go to end of 3rd column of page 48: (click beyond/below text)

"<Enter>" - text in column 3 jumps down a line
"<Enter>" - text in column 3 jumps back up a line
"<Enter>" - -should- go to first char of next page (49), -but-
            goes to first char about halfway down next page ( ~line 13? )
            Attempting to click on page 39 between last position of page 48 and
            this new false position - fails.
<backspace> or
<cursor-up>-cursor goes back to first char of last line of page 48

No change.

---------------------------------------
2 possibilities that I see:

1) bug has NOT yet been fixed
2) bug HAS been fixed, such that in FUTURE documents, doing what I did to
end up at the point where I had the bug would no longer result in the bug, BUT the .odt file created by the bug still exhibits the same behaviour, having been corrupted by the bug.  The file being corrupt, no version of LOW would ever NOT exhibit the bug.

I don't know how to distinguish between the two possibilities...

As I said, I got around the problem by making two copies of the file (134 pages), deleting the uncompleted pages of the first copy (47 pages), and the completed pages from the second (87 pages), and have been (very slowly!) working on the second copy to try to complete the work.  I am now on page 75 of its 87 pages, and so far have not encountered the bug - but neither copy is 134 pages, either... who knows at what page LOW "loses its mind"...(assuming it is somehow page-related?)
Comment 9 QA Administrators 2018-05-26 02:41:40 UTC Comment hidden (obsolete)
Comment 10 scott092707 2018-05-28 18:39:07 UTC
As of:
Version: 6.0.3.2
Build ID: 1:6.0.3-0ubuntu1
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: group

with an (accidentally) adulterated version of Lubuntu Next 18.04,
the bug is still there.


-

When I am in my test partition (install of developer version of Lubuntu 18.10),
I may download your 6.0.4 version, (unless one has already appeared in its repositories, in which case I will merely upgrade to it) and see if the bug is present in it.

-

Is the "oldest version of LibreOffice" that you request we also test some sort of self-contained system, that would not confuse my OS by being present alongside of the latest version?
Comment 11 Buovjaga 2018-05-28 18:42:32 UTC
(In reply to scott092707 from comment #10)
> Is the "oldest version of LibreOffice" that you request we also test some
> sort of self-contained system, that would not confuse my OS by being present
> alongside of the latest version?

You can use these instructions to make sure it will not confuse anything: https://wiki.documentfoundation.org/Installing_in_parallel/Linux

Or try an appimage: https://libreoffice.soluzioniopen.com/index.php/old-versions/ (make the file executable and run)
Comment 12 scott092707 2018-05-28 19:03:48 UTC
Well, as of mid-August of last year, I got to the last page of the book I am translating, and the bug has NOT re-appeared in the working file of the 2nd piece of the book, but still occurs in the file I reserved for testing the bug.


I keep wondering about the question I posed in Comment #8:

"2 possibilities that I see:

1) bug has NOT yet been fixed
2) bug HAS been fixed, such that in FUTURE documents, doing what I did to
end up at the point where I had the bug would no longer result in the bug, BUT the .odt file created by the bug still exhibits the same behaviour, having been corrupted by the bug.  The file being corrupt, no version of LOW would ever NOT exhibit the bug.

I don't know how to distinguish between the two possibilities..."

Has anyone an idea how to probe this question?
Comment 13 scott092707 2018-05-28 19:42:52 UTC
I downloaded an AppImage of the earliest version of LO available at:
https://libreoffice.soluzioniopen.com/index.php/old-versions/

which was:

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

and the bug manifests itself in that version as well.

-

[I also note that this old version also (like my current version) fails somehow to register the presence of its windows in my taskbar, and requires me to use OpenBox's alt-Tab window switcher to get to a LO window covered by another...
I have filed a launchpad ubuntu-bug about that, but have had no comments on it.]
Comment 14 scott092707 2018-05-28 20:40:47 UTC
Having gone to:
https://libreoffice.soluzioniopen.com/index.php/stable-2/
to look for the test version originally requested, I 
noticed that the latest stable version 6.0.4 was (like the old
version I had just tested) available as an AppImage, I decided to 
download and test it now, and not wait until I booted my test partition.

Version was:

Version: 6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: group

And the bug is still there.

I note that the daily versions at:
https://libreoffice.soluzioniopen.com/index.php/daily-version/
are also AppImages.

Would you like me to test
"LibreOfficeDev-6.2.0.0.alpha0_2018-05-24-x86_64.AppImage"
or would that be a bad idea for some reason...?
Comment 15 Buovjaga 2018-05-29 06:59:41 UTC
(In reply to scott092707 from comment #14)
> Would you like me to test
> "LibreOfficeDev-6.2.0.0.alpha0_2018-05-24-x86_64.AppImage"
> or would that be a bad idea for some reason...?

Testing is always a good idea as long as you keep your original data safe :)
Comment 16 scott092707 2018-06-06 19:32:27 UTC
Have now tried with the 6.2 AppImage.

Same problem.

---------------------------
Version: 6.2.0.0.alpha0+
Build ID: 25fdc074528a39ff8aacf74c8db888ec9ef19a97
CPU threads: 2; OS: Linux 4.13; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-06-01_23:47:11
Locale: en-US (en_US.UTF-8); Calc: group threaded
---------------------------
Comment 17 scott092707 2018-06-06 19:34:32 UTC
Would anyone care to comment on the question that I posed in Comment #8
(starting with "2 possibilities...") ?
Comment 18 QA Administrators 2019-06-07 02:52:54 UTC Comment hidden (obsolete)
Comment 19 scott092707 2019-06-08 01:52:27 UTC
...Now using Debian LXQt testing/sid with new computer build...

scott@ASUS-PRIME-B350M-A-CSM:~$ uname -a
Linux ASUS-PRIME-B350M-A-CSM 4.19.0-2-amd64 #1 SMP Debian 4.19.16-1 (2019-01-17) x86_64 GNU/Linux
scott@ASUS-PRIME-B350M-A-CSM:~$  lsb_release -dsc
Debian GNU/Linux buster/sid
buster
scott@ASUS-PRIME-B350M-A-CSM:~$ echo $DESKTOP_SESSION
/usr/share/xsessions/lxqt


As of the following version, bug still present:

scott@ASUS-PRIME-B350M-A-CSM:~$   /usr/bin/lowriter  --version
LibreOffice 6.1.5.2 10(Build:2)

[from -->Help]
LibreOffice

Version: 6.1.5.2
Build ID: 1:6.1.5-3
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 20 scott092707 2019-06-08 03:04:56 UTC
Having re-tried AppImages of versions 3.3 and 6.2 again with my new OS/computer, I get the same results.

I downloaded AppImages:
LibreOffice-6.2.4-x86_64.AppImage  and
LibreOfficeDev-6.3.0.0.alpha1_2019-05-31-x86_64.AppImage

Both exhibit the same problem.

BUT...

Both had two problems.

Neither would load without my running from the terminal with "sudo -H"
The splash LO window came up and disappeared quickly, with no terminal output.

Neither had a menubar.
Both had a lot of terminal output errors, including references to menubars,
so this may explain why there was no menubar...

I will attach text files of both terminal runs, for those interested...
Comment 21 scott092707 2019-06-08 03:09:52 UTC
Created attachment 152041 [details]
Terminal output running LO 6.2.4

Many lines of terminal output, including many lines referencing dconf, and many gtk lines, some of which seem to refer to (non-existant) menubar.
Comment 22 scott092707 2019-06-08 03:12:01 UTC
Created attachment 152042 [details]
Terminal output running LO 6.3.0.0.alpha1_2019-05-31

Many lines of terminal output, including many lines referencing dconf, and many gtk lines, some of which seem to refer to (non-existant) menubar.